import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  updatedById: SortOrderSchema.optional(),
  npiProviderId: SortOrderSchema.optional(),
  totalBilled: SortOrderSchema.optional(),
  totalPaid: SortOrderSchema.optional(),
  totalAdjusted: SortOrderSchema.optional(),
  totalDue: SortOrderSchema.optional(),
  mhPaidAmount: SortOrderSchema.optional(),
  copayment: SortOrderSchema.optional(),
  adjustment: SortOrderSchema.optional(),
  status: SortOrderSchema.optional(),
  notes: SortOrderSchema.optional(),
  icn: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional()
}).strict();
export const PaymentMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.PaymentMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.PaymentMaxOrderByAggregateInput>;
export const PaymentMaxOrderByAggregateInputObjectZodSchema = makeSchema();
